ACTION_LOG_ARCHIVE_LOCATION: default
ACTION_LOG_ARCHIVE_PATH: /datastorage/logs
ACTION_LOG_ROTATION_THRESHOLD: 2w
ALLOW_PULLS_WITHOUT_STRICT_LOGGING: true
AUTHENTICATION_TYPE: LDAP
BITTORRENT_FILENAME_PEPPER: <redacted>
BROWSER_API_CALLS_XHR_ONLY: false
BUILD_MANAGER:
- ephemeral
- ALLOWED_WORKER_COUNT: 1
  ORCHESTRATOR_PREFIX: buildman/production/
  ORCHESTRATOR:
    REDIS_HOST: quay.apu.edu
    REDIS_PASSWORD: <redacted>
    REDIS_SKIP_KEYSPACE_EVENT_SETUP: false
  EXECUTORS:
  - EXECUTOR: kubernetes
    DEBUG: true
    BUILDER_NAMESPACE: builder
    K8S_API_SERVER: api.dev.ose4.apu.edu:6443
    K8S_API_TLS_CA: /conf/stack/api-openshift.crt
    VOLUME_SIZE: 8G
    KUBERNETES_DISTRIBUTION: openshift
    CONTAINER_MEMORY_LIMITS: 5120Mi
    CONTAINER_CPU_LIMITS: 1000m
    CONTAINER_MEMORY_REQUEST: 3968Mi
    CONTAINER_CPU_REQUEST: 500m
    NODE_SELECTOR_LABEL_KEY: <redacted>
    NODE_SELECTOR_LABEL_VALUE: enabled
    CONTAINER_RUNTIME: podman
    SERVICE_ACCOUNT_NAME: quay-builder
    SERVICE_ACCOUNT_TOKEN: '<redacted>'
    QUAY_USERNAME: '<redacted>|quay'
    QUAY_PASSWORD: '<redacted>'
    WORKER_IMAGE: registry.redhat.io/quay/quay-builder-rhel8
    WORKER_TAG: v3.5
    BUILDER_VM_CONTAINER_IMAGE: registry.redhat.io/quay/quay-builder-qemu-rhcos-rhel8:v3.5
    SETUP_TIME: 180
    MINIMUM_RETRY_THRESHOLD: 0
    SSH_AUTHORIZED_KEYS:
    - ssh-rsa <redacted>
    - ssh-rsa <redacted>
    - ssh-rsa <redacted>
BUILDLOGS_REDIS: {host: redis-quay, port: 6379, password: <redacted>}
CONTACT_INFO: ['https://support.apu.edu']
DB_URI: mysql+pymysql://quay:<redacted>@mariadb-prod-01/quaydb
DATABASE_SECRET_KEY: "<redacted>"
DEFAULT_TAG_EXPIRATION: 2w
DISTRIBUTED_STORAGE_CONFIG:
  default:
  - LocalStorage
  - {storage_path: /datastorage/registry}
DISTRIBUTED_STORAGE_DEFAULT_LOCATIONS: []
DISTRIBUTED_STORAGE_PREFERENCE: [default]
ENTERPRISE_LOGO_URL: https://www.apu.edu/universityrelations/standards/design/thumbnails/APU_Red_S_sm.jpg
FEATURE_ACI_CONVERSION: false
FEATURE_ACTION_LOG_ROTATION: true
FEATURE_ANONYMOUS_ACCESS: true
FEATURE_APP_REGISTRY: true
FEATURE_APP_SPECIFIC_TOKENS: true
FEATURE_BITTORRENT: false
FEATURE_BUILD_SUPPORT: true
FEATURE_CHANGE_TAG_EXPIRATION: true
FEATURE_DIRECT_LOGIN: true
FEATURE_GENERAL_OCI_SUPPORT: True
FEATURE_MAILING: true
FEATURE_NONSUPERUSER_TEAM_SYNCING_SETUP: true
FEATURE_PARTIAL_USER_AUTOCOMPLETE: true
FEATURE_REPO_MIRROR: true
FEATURE_REQUIRE_TEAM_INVITE: true
FEATURE_RESTRICTED_V1_PUSH: true
FEATURE_SECURITY_NOTIFICATIONS: true
FEATURE_SECURITY_SCANNER: true
FEATURE_TEAM_SYNCING: true
FEATURE_USERNAME_CONFIRMATION: false
FEATURE_USER_CREATION: true
FEATURE_USER_LOG_ACCESS: true
GITHUB_LOGIN_CONFIG: {}
GITHUB_TRIGGER_CONFIG: {}
GITLAB_TRIGGER_KIND: {}
GPG2_PRIVATE_KEY_FILENAME: signing-private.gpg
GPG2_PUBLIC_KEY_FILENAME: signing-public.gpg
LDAP_ADMIN_DN: cn=Interop,cn=Users,dc=fs,dc=apu,dc=edu
LDAP_ADMIN_PASSWD: <redacted>
LDAP_BASE_DN: [dc=fs, dc=apu, dc=edu]
LDAP_EMAIL_ATTR: mail
LDAP_SECONDARY_USER_RDNS: <redacted>
LDAP_USER_FILTER: "<redacted>"
LDAP_UID_ATTR: sAMAccountName
LDAP_URI: ldaps://<redacted>
LDAP_USER_RDN: [ou=employees, ou=people]
LOG_ARCHIVE_LOCATION: default
MAIL_DEFAULT_SENDER: <redacted>
MAIL_PORT: 25
MAIL_SERVER: <redacted>
MAIL_USE_TLS: false
PREFERRED_URL_SCHEME: https
REGISTRY_TITLE: Red Hat Quay
REGISTRY_TITLE_SHORT: Red Hat Quay
REPO_MIRROR_SERVER_HOSTNAME: null
REPO_MIRROR_TLS_VERIFY: true
SECRET_KEY: '<redacted>'
SECURITY_SCANNER_ENDPOINT: http://clair:8080
SECURITY_SCANNER_V4_ENDPOINT: http://clair:8080
SECURITY_SCANNER_ISSUER_NAME: security_scanner
SERVER_HOSTNAME: quay.apu.edu
SETUP_COMPLETE: true
SIGNING_ENGINE: gpg2
SUPER_USERS: <redacted>
TAG_EXPIRATION_OPTIONS: [0s, 1d, 1w, 2w, 4w]
TEAM_RESYNC_STALE_TIME: 60m
TESTING: false
USERFILES_LOCATION: default
USERFILES_PATH: userfiles/
USER_EVENTS_REDIS: {host: redis-quay, port: 6379, password: <redacted>}
USE_CDN: false
V3_UPGRADE_MODE: complete

